package it.integry.integrywmsnative.core.report;

import it.integry.integrywmsnative.core.expansion.RunnableArgs;
import it.integry.integrywmsnative.core.model.secondary.GestioneEnum;

public class ReportManager {



    public static void getReportNameLUFromGestione(GestioneEnum gestione, RunnableArgs<String> onComplete, RunnableArgs<Exception> onFailed) {

        if(gestione != null){

            //GestioneEnum gestione = GestioneEnum.fromString(mtbColt.getGestione());

            switch (gestione) {
                case ACQUISTO:
                case PRODUZIONE:
                    onComplete.run("EtichettaBancale");
                    break;

                case LAVORAZIONE:
                    onComplete.run("EtichettaInventario");
                    break;

                case VENDITA:
                    onComplete.run("EtichettaSpedizione");
                    break;
            }

        } else {
            onFailed.run(new Exception("mtbColt cannot be NULL"));
        }

    }

    public static String getReportNameLUFromGestione(GestioneEnum gestione) {

        if(gestione != null){

            switch (gestione) {
                case ACQUISTO:
                case PRODUZIONE:
                    return "EtichettaBancale";

                case LAVORAZIONE:
                    return "EtichettaInventario";

                case VENDITA:
                    return "EtichettaSpedizione";
            }

        }
        return null;
    }

}
